.menu_mqs {
  right: 12px !important;
}

@media (max-width: 1200px) {
  .menu_mqs {
    right: inherit !important;
  }
}

@media (min-width: 1200px) {
  .layout-menu-fixed:not(.layout-menu-collapsed) .layout-page, .layout-menu-fixed-offcanvas:not(.layout-menu-collapsed) .layout-page {
    padding-right: 16.25rem;
    padding-left: 0rem !important;
  }
}


.float-start {
  float: right !important;
}

.float-end {
  float: left !important;
}

.input-group > :not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback) {
    margin-right: -1px;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    border-radius: 7px 0 0 7px;
}

.input-group:not(.has-validation) > :not(:last-child):not(.dropdown-toggle):not(.dropdown-menu):not(.form-floating), .input-group:not(.has-validation) > .dropdown-toggle:nth-last-child(n+3), .input-group:not(.has-validation) > .form-floating:not(:last-child) > .form-control, .input-group:not(.has-validation) > .form-floating:not(:last-child) > .form-select {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    border-radius: 0 7px 7px 0;
}

.text-start {
    text-align: right !important;
}

.text-end {
    text-align: left !important;
}

@media (min-width: 768px) {
    .offset-md-2 {
        margin-right: 16.66666667%;
        margin-left: inherit;
    }
    .offset-md-4 {
        margin-right: 33.33333333%;
        margin-left: inherit;
    }
}

.kv-field-separator {
  border-radius: 0 0 0 0 !important;
}

.form-floating > .form-control:focus ~ label, 
.form-floating > .form-control:not(:placeholder-shown) ~ label, 
.form-floating > .form-control-plaintext ~ label, 
.form-floating > .form-select ~ label {
  transform: scale(1.0) translateY(-0.6rem) translateX(0.11rem);
}

.was-validated .form-control:invalid, .form-control.is-invalid,
.was-validated .form-control:valid, .form-control.is-valid {
  background-position: left calc(0.375em + 0.1875rem) center;
}

:dir(ltr) .was-validated .form-control:invalid, 
:dir(ltr) .form-control.is-invalid,
:dir(ltr) .was-validated .form-control:valid, 
:dir(ltr) .form-control.is-valid {
  background-position: right calc(0.375em + 0.1875rem) center;
}

.iti--allow-dropdown .iti__flag-container, .iti--separate-dial-code .iti__flag-container {
    right: 0;
    left: auto;
}

.iti__arrow {
    margin-right: 6px;
    margin-left: 0px;
}

.iti--allow-dropdown input, 
.iti--allow-dropdown input[type=text], 
.iti--allow-dropdown input[type=tel], 
.iti--separate-dial-code input, 
.iti--separate-dial-code input[type=text], 
.iti--separate-dial-code input[type=tel] {
    padding-left: 6px;
    padding-right: 52px;
    margin-right: 0;
}

.iti--allow-dropdown input.is-invalid, 
.iti--allow-dropdown input[type=text].is-invalid, 
.iti--allow-dropdown input[type=tel].is-invalid, 
.iti--separate-dial-code input.is-invalid, 
.iti--separate-dial-code input[type=text].is-invalid, 
.iti--separate-dial-code input[type=tel].is-invalid {
    padding-left: 35px;
}

.iti--allow-dropdown input.is-invalid, 
.iti--allow-dropdown input[type=text].is-invalid, 
.iti--allow-dropdown input[type=tel].is-invalid, 
.iti--separate-dial-code input.is-invalid, 
.iti--separate-dial-code input[type=text].is-invalid, 
.iti--separate-dial-code input[type=tel].is-invalid {
    padding-left: 35px;
}

:dir(ltr) .iti--allow-dropdown input.is-valid, 
:dir(ltr) .iti--allow-dropdown input[type=text].is-valid, 
:dir(ltr) .iti--allow-dropdown input[type=tel].is-valid, 
:dir(ltr) .iti--separate-dial-code input.is-valid, 
:dir(ltr) .iti--separate-dial-code input[type=text].is-valid, 
:dir(ltr) .iti--separate-dial-code input[type=tel].is-valid {
    padding-left: 13px;
}

:dir(ltr)  .iti--allow-dropdown input.is-invalid, 
:dir(ltr)  .iti--allow-dropdown input[type=text].is-invalid, 
:dir(ltr)  .iti--allow-dropdown input[type=tel].is-invalid, 
:dir(ltr)  .iti--separate-dial-code input.is-invalid, 
:dir(ltr)  .iti--separate-dial-code input[type=text].is-invalid, 
:dir(ltr)  .iti--separate-dial-code input[type=tel].is-invalid {
    padding-left: 13px;
}

.offset-3 {
    margin-right: 25%;
}

.offset-2 {
    margin-right: 16.66666667%;
}

@media (min-width: 768px) {
    .offset-md-3 {
        margin-right: 25%;
        margin-left: inherit;
    }

    .offset-md-1 {
      margin-right: 8.33333333%;
      margin-left: inherit;
    }
}